name: filebrowser
services:
  filebrowser:
    environment:
      PGID: $PGID
      PUID: $PUID
      TZ: $TZ
    image: filebrowser/filebrowser:v2.31.2
    deploy:
      resources:
        reservations:
          memory: 64M
    network_mode: bridge
    ports:
      - target: 80
        published: "10180"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/db
        target: /db
      - type: bind
        source: /DATA
        target: /srv
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: TimeZone
            zh_cn: 时区
        - container: PUID
          description:
            en_us: Run FileBrowser as specified uid.
            zh_cn: 以指定的用户ID运行FileBrowser
        - container: PGID
          description:
            en_us: Run FileBrowser as specified gid.
            zh_cn: 以指定的组ID运行FileBrowser
      ports:
        - container: "80"
          description:
            en_us: WebUI Port
            zh_cn: WebUI端口
      volumes:
        - container: /db
          description:
            en_us: FileBrowser database directory.
            zh_cn: FileBrowser数据库目录
        - container: /srv
          description:
            en_us: FileBrowser managed directory.
            zh_cn: FileBrowser管理的目录
    container_name: filebrowser
x-casaos:
  architectures:
    - amd64
    - arm64
    - arm
  main: filebrowser
  author: CasaOS Team
  category: Cloud
  description:
    en_us: File Browser - Webbased File Browser including sharing functions etc.
    zh_cn: File Browser - 包含分享功能等的Webbased文件浏览器
    ar_sa: متصفح الملفات - متصفح ملفات Webbased يشمل وظائف المشاركة وما إلى ذلك
    de_de: Datei Browser - Webbasierte Datei Browser, einschließlich Sharing-Funktionen usw.
    es_es: File Browser - Navegador de archivos Webbased que incluye funciones de compartición, etc.
    fr_fr: File Browser - Navigateur de fichiers Webbased incluant des fonctions de partage, etc.
    hu_hu: File Browser - Webbased File Browser, beleértve a megosztási funkciókat stb.
    it_it: File Browser - Browser di file Webbased che include funzioni di condivisione, ecc.
    ru_ru: File Browser - Webbased File Browser, включая функции обмена, и т.д.
    pl_pl: File Browser - Przeglądarka plików Webbased, w tym funkcje udostępniania itp.
    pt_br: File Browser - Navegador de arquivos Webbased que inclui funções de compartilhamento, etc.
    sv_se: File Browser - Webbaserad filbläddrare inklusive delningsfunktioner etc.
    uk_ua: File Browser - Webbased File Browser, включаючи функції обміну, тощо
  developer: File Browser
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileBrowser/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileBrowser/screenshot-1.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileBrowser/screenshot-2.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileBrowser/screenshot-3.jpg
  tagline:
    en_us: Upload, delete, preview, rename, edit and share your files.
    zh_cn: 上传，删除，预览，重命名，编辑和共享您的文件。
    ar_sa: قم بتحميل، حذف، معاينة، إعادة تسمية، تحرير ومشاركة ملفاتك.
    de_de: Hochladen, Löschen, Vorschau, Umbenennen, Bearbeiten und Freigeben Ihrer Dateien.
    es_es: Subir, eliminar, previsualizar, renombrar, editar y compartir sus archivos.
    fr_fr: Télécharger, supprimer, prévisualiser, renommer, modifier et partager vos fichiers.
    hu_hu: Töltsön fel, törölje, előnézze, átnevezze, szerkessze és ossza meg fájljait.
    it_it: Carica, elimina, anteprima, rinomina, modifica e condividi i tuoi file.
    ru_ru: Загрузите, удалите, просмотрите, переименуйте, отредактируйте и поделитесь своими файлами.
    pl_pl: Prześlij, usuń, podgląd, zmień nazwę, edytuj i udostępnij swoje pliki.
    pt_br: Faça upload, exclua, visualize, renomeie, edite e compartilhe seus arquivos.
    sv_se: Ladda upp, ta bort, förhandsgranska, byt namn, redigera och dela dina filer.
    uk_ua: Завантажте, видаліть, перегляньте, перейменуйте, відредагуйте і поділіться своїми файлами.
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FileBrowser/thumbnail.jpg
  tips:
    before_install:
      en_us: |
        Default Account

        | Username | Password |
        | -------- | -------- |
        | `admin`    | `admin`    |
      zh_cn: |
        默认账号

        | 用户名 | 密码 |
        | -------- | -------- |
        | `admin`    | `admin`    |
  title:
    en_us: FileBrowser
  index: /
  port_map: "10180"
